Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.dtd
Class DTDGrammar

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.dtd.DTDGrammar

public class DTDGrammar
extends java.lang.Object
implements XMLDTDHandler, XMLDTDContentModelHandler, EntityState, Grammar

A DTD grammar. This class implements the XNI handler interfaces for DTD information so that it can build the approprate validation structures automatically from the callbacks.

Inner Class Summary
`protected static class` | `DTDGrammar.QNameHashtable` A simple Hashtable implementation that takes a tuple (String, String) as the key and a int as value.

Field Summary
`protected XMLAttributeDecl` | `fAttributeDecl` Temporary Attribute decl.
`protected int` | `fCurrentAttributeIndex` Current attribute index.
`protected int` | `fCurrentElementIndex` Current element index.
`protected XMLDTDDescription` | `fGrammarDescription`
`protected boolean` | `fReadingExternalDTD` fReadingExternalDTD
`static int` | `TOP_LEVEL_SCOPE` Top level scope (-1).

Constructor Summary
`DTDGrammar(SymbolTable symbolTable, XMLDTDDescription desc)` Default constructor.

Method Summary
`protected int` | `addContentSpecNode(short nodeType, int leftNodeIndex, int rightNodeIndex)` Create an XMLContentSpec for a two child leaf
`protected int` | `addContentSpecNode(short nodeType, java.lang.String nodeValue)` Create an XMLContentSpec for a single non-leaf
`protected int` | `addUniqueLeafNode(java.lang.String elementName)` create an XMLContentSpec for a leaf
`void` | `any(Augmentations augs)` A content model of ANY.
`void` | `attributeDecl(java.lang.String elementName, java.lang.String attributeName, java.lang.String type, java.lang.String[] enumeration, java.lang.String defaultType, XMLString defaultValue, XMLString nonNormalizedDefaultValue, Augmentations augs)` An attribute declaration.
`void` | `comment(XMLString text, Augmentations augs)` A comment.
`protected int` | `createAttributeDecl()`
`protected int` | `createContentSpec()`
`protected int` | `createElementDecl()`
`protected int` | `createEntityDecl()`
`protected int` | `createNotationDecl()`
`void` | `element(java.lang.String elementName, Augmentations augs)` A referenced element in a mixed or children content model.
`void` | `elementDecl(java.lang.String name, java.lang.String contentModel, Augmentations augs)` An element declaration.
`void` | `empty(Augmentations augs)` A content model of EMPTY.
`void` | `endAttlist(Augmentations augs)` The end of an attribute list.
`void` | `endConditional(Augmentations augs)` The end of a conditional section.
`void` | `endContentModel(Augmentations augs)` The end of a content model.
`void` | `endDTD(Augmentations augs)` The end of the DTD.
`void` | `endExternalSubset(Augmentations augs)` The end of the DTD external subset.
`void` | `endGroup(Augmentations augs)` The end of a group for mixed or children content models.
`void` | `endParameterEntity(java.lang.String name, Augmentations augs)` This method notifies the end of an entity.
`void` | `externalEntityDecl(java.lang.String name, XMLResourceIdentifier identifier, Augmentations augs)` An external entity declaration.
`boolean` | `getAttributeDecl(int attributeDeclIndex, XMLAttributeDecl attributeDecl)` getAttributeDecl
`int` | `getAttributeDeclIndex(int elementDeclIndex, java.lang.String attributeDeclName)`
`boolean` | `getAttributeDeclIsExternal(int attributeDeclIndex)` Returns true if the specified attribute declaration is external.
`boolean` | `getContentSpec(int contentSpecIndex, XMLContentSpec contentSpec)` getContentSpec
`java.lang.String` | `getContentSpecAsString(int elementDeclIndex)` getContentSpecAsString
`protected weblogic.apache.xerces.impl.dtd.models.ContentModelValidator` | `getElementContentModelValidator(int elementDeclIndex)` getElementContentModelValidator
`boolean` | `getElementDecl(int elementDeclIndex, XMLElementDecl elementDecl)` getElementDecl
`int` | `getElementDeclIndex(QName elementDeclQName)` Returns the element decl index.
`int` | `getElementDeclIndex(java.lang.String elementDeclName)` getElementDeclIndex
`boolean` | `getElementDeclIsExternal(int elementDeclIndex)` Returns true if the specified element declaration is external.
`boolean` | `getEntityDecl(int entityDeclIndex, XMLEntityDecl entityDecl)` getEntityDecl
`int` | `getEntityDeclIndex(java.lang.String entityDeclName)` getEntityDeclIndex
`int` | `getFirstAttributeDeclIndex(int elementDeclIndex)` getFirstAttributeDeclIndex
`int` | `getFirstElementDeclIndex()` Returns the index of the first element declaration.
`XMLGrammarDescription` | `getGrammarDescription()`
`int` | `getNextAttributeDeclIndex(int attributeDeclIndex)` getNextAttributeDeclIndex
`int` | `getNextElementDeclIndex(int elementDeclIndex)` Returns the next index of the element declaration following the specified element declaration.
`boolean` | `getNotationDecl(int notationDeclIndex, XMLNotationDecl notationDecl)` getNotationDecl
`int` | `getNotationDeclIndex(java.lang.String notationDeclName)` getNotationDeclIndex
`SymbolTable` | `getSymbolTable()` Returns the symbol table.
`void` | `ignoredCharacters(XMLString text, Augmentations augs)` Characters within an IGNORE conditional section.
`protected void` | `initializeContentModelStack()` Initialize content model stack.
`void` | `internalEntityDecl(java.lang.String name, XMLString text, XMLString nonNormalizedText, Augmentations augs)` An internal entity declaration.
`boolean` | `isCDATAAttribute(QName elName, QName atName)` Returns whether the given attribute is of type CDATA or not
`boolean` | `isEntityDeclared(java.lang.String name)`
`boolean` | `isEntityUnparsed(java.lang.String name)`
`boolean` | `isNamespaceAware()` Returns true if this grammar is namespace aware.
`void` | `notationDecl(java.lang.String name, XMLResourceIdentifier identifier, Augmentations augs)` A notation declaration
`void` | `occurrence(short occurrence, Augmentations augs)` The occurrence count for a child in a children content model or for the mixed content model group.
`void` | `pcdata(Augmentations augs)` The appearance of "#PCDATA" within a group signifying a mixed content model.
`void` | `printAttributes(int elementDeclIndex)`
`void` | `printElements()`
`void` | `processingInstruction(java.lang.String target, XMLString data, Augmentations augs)` A processing instruction.
`protected void` | `putElementNameMapping(QName name, int scope, int elementDeclIndex)`
`void` | `separator(short separator, Augmentations augs)` The separator between choices or sequences of a mixed or children content model.
`protected void` | `setAttributeDecl(int elementDeclIndex, int attributeDeclIndex, XMLAttributeDecl attributeDecl)`
`protected void` | `setContentSpec(int contentSpecIndex, XMLContentSpec contentSpec)`
`protected void` | `setContentSpecIndex(int elementDeclIndex, int contentSpecIndex)`
`protected void` | `setElementDecl(int elementDeclIndex, XMLElementDecl elementDecl)`
`protected void` | `setEntityDecl(int entityDeclIndex, XMLEntityDecl entityDecl)`
`protected void` | `setFirstAttributeDeclIndex(int elementDeclIndex, int newFirstAttrIndex)`
`protected void` | `setNotationDecl(int notationDeclIndex, XMLNotationDecl notationDecl)`
`void` | `startAttlist(java.lang.String elementName, Augmentations augs)` The start of an attribute list.
`void` | `startConditional(short type, Augmentations augs)` The start of a conditional section.
`void` | `startContentModel(java.lang.String elementName, Augmentations augs)` The start of a content model.
`void` | `startDTD(XMLLocator locator, Augmentations augs)` The start of the DTD.
`void` | `startExternalSubset(XMLResourceIdentifier identifier, Augmentations augs)` The start of the DTD external subset.
`void` | `startGroup(Augmentations augs)` A start of either a mixed or children content model.
`void` | `startParameterEntity(java.lang.String name, XMLResourceIdentifier identifier, java.lang.String encoding, Augmentations augs)` This method notifies of the start of an entity.
`void` | `textDecl(java.lang.String version, java.lang.String encoding, Augmentations augs)` Notifies of the presence of a TextDecl line in an entity.
`void` | `unparsedEntityDecl(java.lang.String name, XMLResourceIdentifier identifier, java.lang.String notation, Augmentations augs)` An unparsed entity declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP_LEVEL_SCOPE

    public static final int TOP_LEVEL_SCOPE

  Top level scope (-1).

### fCurrentElementIndex

    protected int fCurrentElementIndex

  Current element index.

### fCurrentAttributeIndex

    protected int fCurrentAttributeIndex

  Current attribute index.

### fReadingExternalDTD

    protected boolean fReadingExternalDTD

  fReadingExternalDTD

### fGrammarDescription

    protected XMLDTDDescription fGrammarDescription

### fAttributeDecl

    protected XMLAttributeDecl fAttributeDecl

  Temporary Attribute decl.

Constructor Detail

### DTDGrammar

    public DTDGrammar(SymbolTable symbolTable,
                      XMLDTDDescription desc)

  Default constructor.

Method Detail

### getGrammarDescription

    public XMLGrammarDescription getGrammarDescription()

  Specified by:
    getGrammarDescription in interface Grammar

### getElementDeclIsExternal

    public boolean getElementDeclIsExternal(int elementDeclIndex)

  Returns true if the specified element declaration is external.

  Parameters:
    `elementDeclIndex` - The element declaration index.

### getAttributeDeclIsExternal

    public boolean getAttributeDeclIsExternal(int attributeDeclIndex)

  Returns true if the specified attribute declaration is external.

  Parameters:
    `attributeDeclIndex` - Attribute declaration index.

### getAttributeDeclIndex

    public int getAttributeDeclIndex(int elementDeclIndex,
                                     java.lang.String attributeDeclName)

### startDTD

    public void startDTD(XMLLocator locator,
                         Augmentations augs)
                  throws XNIException

  The start of the DTD.
  Specified by:
    startDTD in interface XMLDTDHandler

  Parameters:
    `locator` - The document locator, or null if the document location cannot be reported during the parsing of the document DTD. However, it is strongly recommended that a locator be supplied that can at least report the base system identifier of the DTD.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### startParameterEntity

    public void startParameterEntity(java.lang.String name,
                                     XMLResourceIdentifier identifier,
                                     java.lang.String encoding,
                                     Augmentations augs)
                              throws XNIException

  This method notifies of the start of an entity. The DTD has the pseudo-name of "[dtd]" and parameter entity names start with '%'.

  Note: Since the DTD is an entity, the handler will be notified of the start of the DTD entity by calling the startParameterEntity method with the entity name "[dtd]" before calling the startDTD method.

  Specified by:
    startParameterEntity in interface XMLDTDHandler

  Parameters:
    `name` - The name of the parameter entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal parameter entities).
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### startExternalSubset

    public void startExternalSubset(XMLResourceIdentifier identifier,
                                    Augmentations augs)
                             throws XNIException

  The start of the DTD external subset.
  Specified by:
    startExternalSubset in interface XMLDTDHandler

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### endParameterEntity

    public void endParameterEntity(java.lang.String name,
                                   Augmentations augs)
                            throws XNIException

  This method notifies the end of an entity. The DTD has the pseudo-name of "[dtd]" and parameter entity names start with '%'.

  Note: Since the DTD is an entity, the handler will be notified of the end of the DTD entity by calling the endEntity method with the entity name "[dtd]" after calling the endDTD method.

  Specified by:
    endParameterEntity in interface XMLDTDHandler

  Parameters:
    `name` - The name of the entity.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### endExternalSubset

    public void endExternalSubset(Augmentations augs)
                           throws XNIException

  The end of the DTD external subset.
  Specified by:
    endExternalSubset in interface XMLDTDHandler

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### elementDecl

    public void elementDecl(java.lang.String name,
                            java.lang.String contentModel,
                            Augmentations augs)
                     throws XNIException

  An element declaration.
  Specified by:
    elementDecl in interface XMLDTDHandler

  Parameters:
    `name` - The name of the element.
    `contentModel` - The element content model.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### attributeDecl

    public void attributeDecl(java.lang.String elementName,
                              java.lang.String attributeName,
                              java.lang.String type,
                              java.lang.String[] enumeration,
                              java.lang.String defaultType,
                              XMLString defaultValue,
                              XMLString nonNormalizedDefaultValue,
                              Augmentations augs)
                       throws XNIException

  An attribute declaration.
  Specified by:
    attributeDecl in interface XMLDTDHandler

  Parameters:
    `elementName` - The name of the element that this attribute is associated with.
    `attributeName` - The name of the attribute.
    `type` - The attribute type. This value will be one of the following: "CDATA", "ENTITY", "ENTITIES", "ENUMERATION", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", or "NOTATION".
    `enumeration` - If the type has the value "ENUMERATION", this array holds the allowed attribute values; otherwise, this array is null.
    `defaultType` - The attribute default type. This value will be one of the following: "#FIXED", "#IMPLIED", "#REQUIRED", or null.
    `defaultValue` - The attribute default value, or null if no default value is specified.
    `nonNormalizedDefaultValue` - The attribute default value with no normalization performed, or null if no default value is specified.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### internalEntityDecl

    public void internalEntityDecl(java.lang.String name,
                                   XMLString text,
                                   XMLString nonNormalizedText,
                                   Augmentations augs)
                            throws XNIException

  An internal entity declaration.
  Specified by:
    internalEntityDecl in interface XMLDTDHandler

  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `text` - The value of the entity.
    `nonNormalizedText` - The non-normalized value of the entity. This value contains the same sequence of characters that was in the internal entity declaration, without any entity references expanded.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### externalEntityDecl

    public void externalEntityDecl(java.lang.String name,
                                   XMLResourceIdentifier identifier,
                                   Augmentations augs)
                            throws XNIException

  An external entity declaration.
  Specified by:
    externalEntityDecl in interface XMLDTDHandler

  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `identifier` - An object containing all location information pertinent to this external entity declaration.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   XMLResourceIdentifier identifier,
                                   java.lang.String notation,
                                   Augmentations augs)
                            throws XNIException

  An unparsed entity declaration.
  Specified by:
    unparsedEntityDecl in interface XMLDTDHandler

  Parameters:
    `name` - The name of the entity.
    `identifier` - An object containing all location information pertinent to this entity.
    `notation` - The name of the notation.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### notationDecl

    public void notationDecl(java.lang.String name,
                             XMLResourceIdentifier identifier,
                             Augmentations augs)
                      throws XNIException

  A notation declaration
  Specified by:
    notationDecl in interface XMLDTDHandler

  Parameters:
    `name` - The name of the notation.
    `identifier` - An object containing all location information pertinent to this notation.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### endDTD

    public void endDTD(Augmentations augs)
                throws XNIException

  The end of the DTD.
  Specified by:
    endDTD in interface XMLDTDHandler

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### textDecl

    public void textDecl(java.lang.String version,
                         java.lang.String encoding,
                         Augmentations augs)
                  throws XNIException

  Notifies of the presence of a TextDecl line in an entity. If present, this method will be called immediately following the startEntity call.

  Note: This method is only called for external parameter entities referenced in the DTD.

  Specified by:
    textDecl in interface XMLDTDHandler

  Parameters:
    `version` - The XML version, or null if not specified.
    `encoding` - The IANA encoding name of the entity.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### comment

    public void comment(XMLString text,
                        Augmentations augs)
                 throws XNIException

  A comment.
  Specified by:
    comment in interface XMLDTDHandler

  Parameters:
    `text` - The text in the comment.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by application to signal an error.

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      XMLString data,
                                      Augmentations augs)
                               throws XNIException

  A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

  Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

  Specified by:
    processingInstruction in interface XMLDTDHandler

  Parameters:
    `target` - The target.
    `data` - The data or null if none specified.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### startAttlist

    public void startAttlist(java.lang.String elementName,
                             Augmentations augs)
                      throws XNIException

  The start of an attribute list.
  Specified by:
    startAttlist in interface XMLDTDHandler

  Parameters:
    `elementName` - The name of the element that this attribute list is associated with.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### endAttlist

    public void endAttlist(Augmentations augs)
                    throws XNIException

  The end of an attribute list.
  Specified by:
    endAttlist in interface XMLDTDHandler

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### startConditional

    public void startConditional(short type,
                                 Augmentations augs)
                          throws XNIException

  The start of a conditional section.
  Specified by:
    startConditional in interface XMLDTDHandler

  Parameters:
    `type` - The type of the conditional section. This value will either be CONDITIONAL_INCLUDE or CONDITIONAL_IGNORE.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  See Also:
    `XMLDTDHandler.CONDITIONAL_INCLUDE`, `XMLDTDHandler.CONDITIONAL_IGNORE`

### ignoredCharacters

    public void ignoredCharacters(XMLString text,
                                  Augmentations augs)
                           throws XNIException

  Characters within an IGNORE conditional section.
  Specified by:
    ignoredCharacters in interface XMLDTDHandler

  Parameters:
    `text` - The ignored text.
    `augs` - Additional information that may include infoset augmentations.

### endConditional

    public void endConditional(Augmentations augs)
                        throws XNIException

  The end of a conditional section.
  Specified by:
    endConditional in interface XMLDTDHandler

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### startContentModel

    public void startContentModel(java.lang.String elementName,
                                  Augmentations augs)
                           throws XNIException

  The start of a content model. Depending on the type of the content model, specific methods may be called between the call to the startContentModel method and the call to the endContentModel method.
  Specified by:
    startContentModel in interface XMLDTDContentModelHandler

  Parameters:
    `elementName` - The name of the element.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### startGroup

    public void startGroup(Augmentations augs)
                    throws XNIException

  A start of either a mixed or children content model. A mixed content model will immediately be followed by a call to the `pcdata()` method. A children content model will contain additional groups and/or elements.
  Specified by:
    startGroup in interface XMLDTDContentModelHandler

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  See Also:
    `any(weblogic.apache.xerces.xni.Augmentations)`, `empty(weblogic.apache.xerces.xni.Augmentations)`

### pcdata

    public void pcdata(Augmentations augs)
                throws XNIException

  The appearance of "#PCDATA" within a group signifying a mixed content model. This method will be the first called following the content model's `startGroup()`.
  Specified by:
    pcdata in interface XMLDTDContentModelHandler

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  See Also:
    `startGroup(weblogic.apache.xerces.xni.Augmentations)`

### element

    public void element(java.lang.String elementName,
                        Augmentations augs)
                 throws XNIException

  A referenced element in a mixed or children content model.
  Specified by:
    element in interface XMLDTDContentModelHandler

  Parameters:
    `elementName` - The name of the referenced element.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### separator

    public void separator(short separator,
                          Augmentations augs)
                   throws XNIException

  The separator between choices or sequences of a mixed or children content model.
  Specified by:
    separator in interface XMLDTDContentModelHandler

  Parameters:
    `separator` - The type of children separator.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.SEPARATOR_CHOICE`, `XMLDTDContentModelHandler.SEPARATOR_SEQUENCE`

### occurrence

    public void occurrence(short occurrence,
                           Augmentations augs)
                    throws XNIException

  The occurrence count for a child in a children content model or for the mixed content model group.
  Specified by:
    occurrence in interface XMLDTDContentModelHandler

  Parameters:
    `occurrence` - The occurrence count for the last element or group.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.OCCURS_ZERO_OR_ONE`, `XMLDTDContentModelHandler.OCCURS_ZERO_OR_MORE`, `XMLDTDContentModelHandler.OCCURS_ONE_OR_MORE`

### endGroup

    public void endGroup(Augmentations augs)
                  throws XNIException

  The end of a group for mixed or children content models.
  Specified by:
    endGroup in interface XMLDTDContentModelHandler

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### any

    public void any(Augmentations augs)
             throws XNIException

  A content model of ANY.
  Specified by:
    any in interface XMLDTDContentModelHandler

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  See Also:
    `empty(weblogic.apache.xerces.xni.Augmentations)`, `startGroup(weblogic.apache.xerces.xni.Augmentations)`

### empty

    public void empty(Augmentations augs)
               throws XNIException

  A content model of EMPTY.
  Specified by:
    empty in interface XMLDTDContentModelHandler

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  See Also:
    `any(weblogic.apache.xerces.xni.Augmentations)`, `startGroup(weblogic.apache.xerces.xni.Augmentations)`

### endContentModel

    public void endContentModel(Augmentations augs)
                         throws XNIException

  The end of a content model.
  Specified by:
    endContentModel in interface XMLDTDContentModelHandler

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.

### isNamespaceAware

    public boolean isNamespaceAware()

  Returns true if this grammar is namespace aware.

### getSymbolTable

    public SymbolTable getSymbolTable()

  Returns the symbol table.

### getFirstElementDeclIndex

    public int getFirstElementDeclIndex()

  Returns the index of the first element declaration. This index is then used to query more information about the element declaration.

  See Also:
    `getNextElementDeclIndex(int)`, `getElementDecl(int, weblogic.apache.xerces.impl.dtd.XMLElementDecl)`

### getNextElementDeclIndex

    public int getNextElementDeclIndex(int elementDeclIndex)

  Returns the next index of the element declaration following the specified element declaration.

  Parameters:
    `elementDeclIndex` - The element declaration index.

### getElementDeclIndex

    public int getElementDeclIndex(java.lang.String elementDeclName)

  getElementDeclIndex

  Parameters:
    `elementDeclName` -
  Returns:
    index of the elementDeclName in scope

### getElementDeclIndex

    public int getElementDeclIndex(QName elementDeclQName)

  Returns the element decl index.

  Parameters:
    `elementDeclQName` - qualilfied name of the element

### getElementDecl

    public boolean getElementDecl(int elementDeclIndex,
                                  XMLElementDecl elementDecl)

  getElementDecl

  Parameters:
    `elementDeclIndex` -
    `elementDecl` - The values of this structure are set by this call.
  Returns:
    True if find the element, False otherwise.

### getFirstAttributeDeclIndex

    public int getFirstAttributeDeclIndex(int elementDeclIndex)

  getFirstAttributeDeclIndex

  Parameters:
    `elementDeclIndex` -
  Returns:
    index of the first attribute for element declaration elementDeclIndex

### getNextAttributeDeclIndex

    public int getNextAttributeDeclIndex(int attributeDeclIndex)

  getNextAttributeDeclIndex

  Parameters:
    `attributeDeclIndex` -
  Returns:
    index of the next attribute of the attribute at attributeDeclIndex

### getAttributeDecl

    public boolean getAttributeDecl(int attributeDeclIndex,
                                    XMLAttributeDecl attributeDecl)

  getAttributeDecl

  Parameters:
    `attributeDeclIndex` -
    `attributeDecl` - The values of this structure are set by this call.
  Returns:
    true if getAttributeDecl was able to fill in the value of attributeDecl

### isCDATAAttribute

    public boolean isCDATAAttribute(QName elName,
                                    QName atName)

  Returns whether the given attribute is of type CDATA or not

  Parameters:
    `elName` - The element name.
    `atName` - The attribute name.
  Returns:
    true if the attribute is of type CDATA

### getEntityDeclIndex

    public int getEntityDeclIndex(java.lang.String entityDeclName)

  getEntityDeclIndex

  Parameters:
    `entityDeclName` -
  Returns:
    the index of the EntityDecl

### getEntityDecl

    public boolean getEntityDecl(int entityDeclIndex,
                                 XMLEntityDecl entityDecl)

  getEntityDecl

  Parameters:
    `entityDeclIndex` -
    `entityDecl` -
  Returns:
    true if getEntityDecl was able to fill entityDecl with the contents of the entity with index entityDeclIndex

### getNotationDeclIndex

    public int getNotationDeclIndex(java.lang.String notationDeclName)

  getNotationDeclIndex

  Parameters:
    `notationDeclName` -
  Returns:
    the index if found a notation with the name, otherwise -1.

### getNotationDecl

    public boolean getNotationDecl(int notationDeclIndex,
                                   XMLNotationDecl notationDecl)

  getNotationDecl

  Parameters:
    `notationDeclIndex` -
    `notationDecl` -
  Returns:
    return true of getNotationDecl can fill notationDecl with information about the notation at notationDeclIndex.

### getContentSpec

    public boolean getContentSpec(int contentSpecIndex,
                                  XMLContentSpec contentSpec)

  getContentSpec

  Parameters:
    `contentSpecIndex` -
    `contentSpec` -
  Returns:
    true if find the requested contentSpec node, false otherwise

### getContentSpecAsString

    public java.lang.String getContentSpecAsString(int elementDeclIndex)

  getContentSpecAsString

  Parameters:
    `elementDeclIndex` -

### printElements

    public void printElements()

### printAttributes

    public void printAttributes(int elementDeclIndex)

### getElementContentModelValidator

    protected weblogic.apache.xerces.impl.dtd.models.ContentModelValidator getElementContentModelValidator(int elementDeclIndex)

  getElementContentModelValidator

  Parameters:
    `elementDeclIndex` -
  Returns:
    its ContentModelValidator if any.

### createElementDecl

    protected int createElementDecl()

### setElementDecl

    protected void setElementDecl(int elementDeclIndex,
                                  XMLElementDecl elementDecl)

### putElementNameMapping

    protected void putElementNameMapping(QName name,
                                         int scope,
                                         int elementDeclIndex)

### setFirstAttributeDeclIndex

    protected void setFirstAttributeDeclIndex(int elementDeclIndex,
                                              int newFirstAttrIndex)

### setContentSpecIndex

    protected void setContentSpecIndex(int elementDeclIndex,
                                       int contentSpecIndex)

### createAttributeDecl

    protected int createAttributeDecl()

### setAttributeDecl

    protected void setAttributeDecl(int elementDeclIndex,
                                    int attributeDeclIndex,
                                    XMLAttributeDecl attributeDecl)

### createContentSpec

    protected int createContentSpec()

### setContentSpec

    protected void setContentSpec(int contentSpecIndex,
                                  XMLContentSpec contentSpec)

### createEntityDecl

    protected int createEntityDecl()

### setEntityDecl

    protected void setEntityDecl(int entityDeclIndex,
                                 XMLEntityDecl entityDecl)

### createNotationDecl

    protected int createNotationDecl()

### setNotationDecl

    protected void setNotationDecl(int notationDeclIndex,
                                   XMLNotationDecl notationDecl)

### addContentSpecNode

    protected int addContentSpecNode(short nodeType,
                                     java.lang.String nodeValue)

  Create an XMLContentSpec for a single non-leaf

  Parameters:
    `nodeType` - the type of XMLContentSpec to create - from XMLContentSpec.CONTENTSPECNODE_*
    `nodeValue` - handle to an XMLContentSpec
  Returns:
    handle to the newly create XMLContentSpec

### addUniqueLeafNode

    protected int addUniqueLeafNode(java.lang.String elementName)

  create an XMLContentSpec for a leaf

  Parameters:
    `elementName` - the name (Element) for the node
  Returns:
    handle to the newly create XMLContentSpec

### addContentSpecNode

    protected int addContentSpecNode(short nodeType,
                                     int leftNodeIndex,
                                     int rightNodeIndex)

  Create an XMLContentSpec for a two child leaf

  Parameters:
    `nodeType` - the type of XMLContentSpec to create - from XMLContentSpec.CONTENTSPECNODE_*
    `leftNodeIndex` - handle to an XMLContentSpec
    `rightNodeIndex` - handle to an XMLContentSpec
  Returns:
    handle to the newly create XMLContentSpec

### initializeContentModelStack

    protected void initializeContentModelStack()

  Initialize content model stack.

### isEntityDeclared

    public boolean isEntityDeclared(java.lang.String name)

  Specified by:
    isEntityDeclared in interface EntityState

### isEntityUnparsed

    public boolean isEntityUnparsed(java.lang.String name)

  Specified by:
    isEntityUnparsed in interface EntityState

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD